package PoorBooru::API::V0::Controller::Random;
use v5.36;
use strict;
use warnings;

use Mojo::Base "Mojolicious::Controller";

sub tag ($self)
{
	my $tag = $self->schema->resultset("Tag")
	    ->search({}, { order_by => \"random()", limit => 1 })->single;

	return $self->render(
		json => {error => "Tag not found"},
		status => 404,
	) if !defined($tag);

	return $self->redirect_to("/tag/" . $tag->name);
}

1;
